<div class="row">
    <div class="col-md-12">
        <!-- Logo -->
        <div class="logo text-center">
        </div>
        <div class="text-center forms">
            <form class="form form-horizontal" #userForm = "ngForm" (ngSubmit) = "login()">
                <p>Don't have an account? <a routerLink="/signup">Signup Today</a></p>
                <h2>Login to your account</h2>
                <hr>
                <div class="username" [class.has-error]="username.invalid && username.touched">
                    <label>Email</label>
                    <input type="email" class="form-control" 
                    name="username" required email
                    [(ngModel)] = "credentials.username" #username = "ngModel">
                    <label for="password" class="control-label" *ngIf="username.errors && username.errors.required && username.touched">
                        <i class="fa fa-times-circle-o"></i> Email is required
                    </label>
                    <label for="password" class="control-label" *ngIf="username.errors && username.errors.email && username.touched">
                        <i class="fa fa-times-circle-o"></i> Email is not valid
                    </label>
                </div>
                <hr>
                <div class="password" [class.has-error]="password.invalid && password.touched">
                    <label>Password</label>
                    <input type="password" class="form-control" 
                    name="password" required minlength="6"
                    [(ngModel)] = "credentials.password" #password = "ngModel">
                    <label for="password" class="control-label" *ngIf="password.errors && password.errors.minlength && password.touched">
                        <i class="fa fa-times-circle-o"></i> Password must be at least 6 characters long.
                    </label>
                    <label for="password" class="control-label" *ngIf="password.errors && password.errors.required && password.touched">
                        <i class="fa fa-times-circle-o"></i> Password is required
                    </label>
                </div>
                <input [disabled]="userForm.invalid" class="btn btn-primary btn-submit" type="submit" value="Login">
            </form>
        </div>
    </div>
</div>